Vulnerability Name:

CVE-2008-1590

Assigned:2008-07-11
Published:2008-07-11
Updated:2017-08-07
Summary:JavaScriptCore in WebKit on Apple iPhone before 2.0 and iPod touch before 2.0 does not properly perform runtime garbage collection, which allows remote attackers to execute arbitrary code or cause a denial of service (application crash) via unspecified vectors that trigger memory corruption, a different vulnerability than CVE-2008-2317.
CVSS v3 Severity:7.3 High (CCN CVSS v3 Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:L/A:L)
Exploitability Metrics:Attack Vector (AV): Network
Attack Complexity (AC): Low
Privileges Required (PR): None
User Interaction (UI): None
Scope:Scope (S): Unchanged
Impact Metrics:Confidentiality (C): Low
Integrity (I): Low
Availibility (A): Low
CVSS v2 Severity:6.8 Medium (CVSS v2 Vector: AV:N/AC:M/Au:N/C:P/I:P/A:P)
5.0 Medium (Temporal CVSS v2 Vector: AV:N/AC:M/Au:N/C:P/I:P/A:P/E:U/RL:OF/RC:C)
Exploitability Metrics:Access Vector (AV): Network
Access Complexity (AC): Medium
Authentication (Au): None
Impact Metrics:Confidentiality (C): Partial
Integrity (I): Partial
Availibility (A): Partial
6.8 Medium (CCN CVSS v2 Vector: AV:N/AC:M/Au:N/C:P/I:P/A:P)
5.0 Medium (CCN Temporal CVSS v2 Vector: AV:N/AC:M/Au:N/C:P/I:P/A:P/E:U/RL:OF/RC:C)
Exploitability Metrics:Access Vector (AV): Network
Access Complexity (AC): Medium
Athentication (Au): None
Impact Metrics:Confidentiality (C): Partial
Integrity (I): Partial
Availibility (A): Partial
Vulnerability Type:CWE-399
References:Source: APPLE
Type: UNKNOWN
APPLE-SA-2008-07-11

Source: BID
Type: UNKNOWN
30186

Source: VUPEN
Type: UNKNOWN
ADV-2008-2094

Source: XF
Type: UNKNOWN
ipod-iphone-garbage-code-execution(43738)

Vulnerable Configuration:Configuration 1:
  • cpe:/h:apple:iphone:1.0:*:*:*:*:*:*:*
  • OR cpe:/h:apple:iphone:1.0.1:*:*:*:*:*:*:*
  • OR cpe:/h:apple:iphone:1.0.2:*:*:*:*:*:*:*
  • OR cpe:/h:apple:iphone:1.02:*:*:*:*:*:*:*
  • OR cpe:/h:apple:iphone:1.1.1:*:*:*:*:*:*:*
  • OR cpe:/h:apple:iphone:1.1.2:*:*:*:*:*:*:*
  • OR cpe:/h:apple:iphone:1.1.3:*:*:*:*:*:*:*
  • OR cpe:/h:apple:iphone:1.1.4:*:*:*:*:*:*:*
  • OR cpe:/h:apple:ipod_touch:1.1:*:*:*:*:*:*:*
  • OR cpe:/h:apple:ipod_touch:1.1.1:*:*:*:*:*:*:*
  • OR cpe:/h:apple:ipod_touch:1.1.2:*:*:*:*:*:*:*
  • OR cpe:/h:apple:ipod_touch:1.1.3:*:*:*:*:*:*:*
  • OR cpe:/h:apple:ipod_touch:1.1.4:*:*:*:*:*:*:*
  • AND
  • cpe:/a:webkit:javascriptcore:*:*:*:*:*:*:*:*

  • Configuration CCN 1:
  • cpe:/h:apple:iphone:1.0:*:*:*:*:*:*:*
  • OR cpe:/h:apple:iphone:1.1.2:*:*:*:*:*:*:*
  • OR cpe:/h:apple:iphone:1.1.3:*:*:*:*:*:*:*
  • OR cpe:/h:apple:iphone:1.0.1:*:*:*:*:*:*:*
  • OR cpe:/h:apple:iphone:1.0.2:*:*:*:*:*:*:*
  • OR cpe:/h:apple:iphone:1.1.1:*:*:*:*:*:*:*
  • OR cpe:/h:apple:ipod_touch:1.1:*:*:*:*:*:*:*
  • OR cpe:/h:apple:ipod_touch:1.1.1:*:*:*:*:*:*:*
  • OR cpe:/h:apple:ipod_touch:1.1.2:*:*:*:*:*:*:*
  • OR cpe:/h:apple:iphone:1.1.4:*:*:*:*:*:*:*
  • OR cpe:/h:apple:ipod_touch:1.1.3:*:*:*:*:*:*:*
  • OR cpe:/h:apple:ipod_touch:1.1.4:*:*:*:*:*:*:*

  • * Denotes that component is vulnerable
    BACK
    apple iphone 1.0
    apple iphone 1.0.1
    apple iphone 1.0.2
    apple iphone 1.02
    apple iphone 1.1.1
    apple iphone 1.1.2
    apple iphone 1.1.3
    apple iphone 1.1.4
    apple ipod touch 1.1
    apple ipod touch 1.1.1
    apple ipod touch 1.1.2
    apple ipod touch 1.1.3
    apple ipod touch 1.1.4
    webkit javascriptcore *
    apple iphone 1.0
    apple iphone 1.1.2
    apple iphone 1.1.3
    apple iphone 1.0.1
    apple iphone 1.0.2
    apple iphone 1.1.1
    apple ipod touch 1.1
    apple ipod touch 1.1.1
    apple ipod touch 1.1.2
    apple iphone 1.1.4
    apple ipod touch 1.1.3
    apple ipod touch 1.1.4